#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x95,0xB9,0xA1,0x4E,0x4E,0xE6,0x31,0x21,0x83,0xF5,0xFE,0x95,
		0x80,0x7B,0x48,0xC7,0xA7,0x6E,0xA7,0xDA,0x8D,0xB4,0x05,0x6B,
		0x5D,0x20,0x58,0x6E,0x29,0x74,0x11,0x25,0xDC,0x7F,0xC9,0x11,
		0x8A,0x93,0x25,0x86,0xF9,0x95,0x39,0xF1,0xE8,0x28,0x71,0x73,
		0x38,0xEF,0x6D,0x4D,0xD1,0xBD,0x2E,0xEE,0xCF,0x5F,0xFB,0x3E,
		0xE9,0xF9,0x21,0x9B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
